toolzerhub API Docs

List a store's collections (v1)

Returns up to 250 collections per page with handle, description, product count and image. Use a handle as collection in List Shopify Products. A domain that is not a Shopify store returns data: null.

1 credit / requestBilled only on success
GET
/v1/shopify/collections

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

domain*string

The store's hostname, such as allbirds.com or gymshark.myshopify.com. A full URL is accepted.

page?integer

Page number, from 1 to 100.

Range1 <= value <= 100
Default1
limit?integer

Items per page, from 1 to 250.

Range1 <= value <= 250
Default250
curl -X GET "https://example.com/v1/shopify/collections?domain=allbirds.com" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "domain": "string",    "page": 0,    "limit": 0,    "count": 0,    "has_more": true,    "collections": [      {        "id": 0,        "title": "string",        "handle": "string",        "url": "string",        "description": "string",        "products_count": 0,        "image": "string",        "published_at": "string",        "updated_at": "string"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}